.\"
.\" DI $Id: sortbib.tr,v 1.13 2014/03/22 20:33:20 pj Exp pj $
.\" DA Written by Greg Shenaut & Bill Tuthill, modified by Pierre‐Jean Fichet
.\" DS Utroff sortbib manual
.\" DT Utroff sortbib manual
.\" DK utroff sortbib refer hunt inv mkey troff nroff heirloom tmac xml
.
.
.
.TH SORTBIB 1 '2017‐12‐06'
.
.
.
.SH NAME
.PP
\fBsortbib\fR - Sort refer bibliographic database following
iso‐690 standart
.
.
.
.SH SYNOPSIS
.PP
\fIsortbib\fR [\fB-i\fR|\fB-s\fR\fIKEYS\fR] \fIdatabase\fR ...
.
.
.
.SH DESCRIPTION
.PP
\fISortbib\fR sorts files of records containing \fIrefer\fR
key‐letters by user‐specified keys. Records may be separated
by blank lines, or by \fB.[\fR and \fB.]\fR delimiters,
but the two styles may not be mixed together. This program
reads through each \fIdatabase\fR and pulls out key fields,
which are sorted separately. The sorted key fields contain
the file pointer, byte offset, and length of corresponding
records. These records are delivered using disk seeks and
reads, so \fIsortbib\fR may not be used in a pipeline to
read standard input.
.PP
By default, \fIsortbib\fR alphabetize the first \fB%A\fR and
\fB%D\fR fields, which contain the senior author and date.
.PP
The \fB‐i\fR option is used to sort database following an
algorythm which aims to respect the \fIiso‐690\fR
bibliography standart:
.IP \(bu
If \fBJ\fR is defined, the order of fields is:
\fBQA+TE+SVBJ\fR.
.IP \(bu
Else, if \fBB\fR is defined, the order of fields is:
\fBQA+TE+SVB\fR.
.IP \(bu
Else, the order of fields is: \fBQA+E+SVT\fR.
.PP
The \fB-s\fR option is used to specify new \fIKEYS\fR. For
instance, \fB-sATD\fR will sort by author, title, and
date, while \fB-sA+D\fR will sort by all authors, and
date. Sort keys past the fourth are not meaningful. No
more than 16 databases may be sorted together at one time.
Records longer than 4096 characters will be truncated.
.PP
\fISortbib\fR sorts on last word on the \fB%A\fR and
\fB%E\fR line, which are assumed to be the author’s and
editor’s last name. A word in the final position, such as
"jr." or "ed.", will be ignored if the name beforehand
ends with a comma. Authors with two‐word last names or
unusual constructions can be sorted correctly by using the
\fInroff\fR convention "\fB\Ee0\fR" in place of a blank.
A \fB%Q\fR field is considered to be the same as \fB%A\fR,
except sorting begins with the first, not the last, word.
\fISortbib\fR sorts on the last word of the \fB%D\fR line,
usually the year.
If a sort‐significant field is absent from a record,
\fIsortbib\fR places that record before other records
containing that field.
.
.
.
.SH LICENSE
.PP
\fISortbib\fR is distributed under the
\&CDDL1.0 license <../share/cddl.tr>.
This manual page is distributed under a
\&four clause BSD <../share/bsd4.tr>
License.
.
.
.
.SH FILES
.PP
\fI@BINDIR@/sortbib\fR
.
.
.
.SH SEE ALSO
.PP
\&refer(1) <refer.tr>,
\&u‐ref(7) <u‐ref.tr>.
.
.
.
.SH BUGS & HELP
.PP
Please, send questions, bugs and patches at help at utroff dot org.
.
.
.
.SH AUTHORS
.PP
Written by Greg Shenaut & Bill Tuthill. Modified by
Pierre‐Jean Fichet.
